 .container-login{
    display: flex;
    align-items: center;
    justify-content: center;

 }
 .caja-login{
  box-shadow: rgba(14, 63, 126, 0.04) 0px 0px 0px 1px, rgba(42, 51, 69, 0.04) 0px 1px 1px -0.5px, rgba(42, 51, 70, 0.04) 0px 3px 3px -1.5px, rgba(42, 51, 70, 0.04) 0px 6px 6px -3px, rgba(14, 63, 126, 0.04) 0px 12px 12px -6px, rgba(14, 63, 126, 0.04) 0px 24px 24px -12px;
    padding: 30px 50px;
    border-radius: 10px;
    max-width:480px;
 }
 .caja-login .login-profesional{
   display: block;
   margin: auto;
   border: none;
   background-color: var(--color-primary-soft);
   opacity: 1;
   color: var(--color-primary);
   margin-top:-5px;
   padding: 8px 14px;
   font-weight: 600;
   border-bottom-left-radius: 5px;
   border-bottom-right-radius: 5px;
   font-size: 12px;
}

 .caja-login h2{
    text-align: center;
    color: var(--color-primary);
    padding: 10px 0px;
    font-weight: 600;
    font-size:20px;
 }

 .caja-login .title-profesional{
   color: var(--color-black);
 }

 .caja-login .title-session{
    text-align: center;
    padding: 50px 0px;
    padding-top:30px;
    color: var(--color-secondary);
    font-weight: 300;
    line-height: 1;
    font-size:12.8px;
 }

.caja-login .title-session-profesional{
   padding-top: 30px;
   padding-bottom: 50px;
}

.caja-login .title-registro-profesional{
   padding: 25px 0px;
   padding-bottom: 30px;
}

 .caja-login .title-session a{
    color: var(--color-primary);
    text-decoration: underline;
    transition: all ease .3s;
 }
 .caja-login .title-session a:hover{
    color: var(--color-primary-hover);
 }
 .grupo{
    margin-bottom:15px;
 }
 .grupo label{
    color: var(--color-secondary);
    font-weight: 500;
    font-size: 15px;
 }
 .grupo label span{
    color: var(--red-2);
 }
 .grupo input{
    width: 100%;
    padding: 10px ;
    border: none;
    border: 1px solid var(--color-gray-light);
    border-radius: 5px;
    font-size:15px;
    outline: none;
    margin-top:2px;
 }

 .grupo input[type="file"] {
  display: block;
  width: 100%;
  padding: 10px 0;
  font-size: 11px;
  color: #707070;
  border: none;
  border-radius: 8px;
  background-color: transparent;
  cursor: pointer;
  transition: all 0.3s ease;
}


 .grupo input[type="file"]::file-selector-button {
  padding: 8px 12px;
  margin-right: 15px;
  background-color:  var(--color-primary);
  color: var(--color-white);
  border: none;
  border-radius: 5px;
  cursor: pointer;
  letter-spacing:1px;
  font-weight:500;
  transition: background-color 0.3s;
  margin-bottom:20px;
}

 .grupo input[type="file"]::file-selector-button:hover {
  background-color:  var(--color-primary-hover);
}

.grupo p{
  font-size:13px;
  color:#544E4C;
  margin-top:-20px;
  margin-bottom:40px;
}


 .btn-acceder{
    background-color: var(--color-primary);
    border: none;
    width: 100%;
    padding: 12px;
    border-radius: 20px;
    color: var(--color-white);
    font-weight: 700;
    font-size: 16px;
    cursor: pointer;
    transition: all ease .3s;
    margin-bottom:10px;
 }

 .btn-acceder-profesional{
   background-color: var(--color-black);
 }
 .btn-acceder:hover{
    background-color: var(--color-primary-hover);
 }
 .olvido-contra{
    text-align: center;
    padding: 30px 0px;

 }
 .olvido-contra a{
     color: var(--color-secondary-medium);
     font-weight: 300;
     transition: all ease .3s;
     font-size:14px;
 }
 .olvido-contra a:hover{
    color: var(--color-primary);
 }

.input-icono {
    position: relative;
}

.input-icono input {
    width: 100%;
    padding: 10px;
    padding-right: 40px; /* espacio para el icono */
}

.input-icono i {
    position: absolute;
    right: 10px;
    top: 50%;
    transform: translateY(-50%);
    color: var(--color-gray-light);
    cursor: pointer;
    font-weight: 900;
}


/*ESTILOS SUBSCRIPCION*/
.bg-pastel{
    background-color: var(--color-primary-soft);
  }
  .bg-pastel h2{
    background-color: var(--color-white);
    padding: 20px 10px;
    text-align: center;
    color:var(--color-primary);
    line-height: 1.2;
    font-weight:500;
    font-style: italic;
  }
  .container-subscripcion{
    display: flex;
    justify-content:center;
    align-items: center;
    padding-top: 50px;
    gap: 50px;
  }
  .container-img-sub{
    width: 40%;
  }
  .container-img-sub img{
    width: 100%;
    height: 100%;
  }
  .grup-sub{
    margin-bottom: 15px;
  }
  .container-form-sub{
    width: 40%;
  }
  .container-form-sub form{
        display: flex;
    flex-direction: column;
     gap: 12px;
  }
  .container-form-sub h3{
    text-align: center;
    color: var(--color-primary);
    font-size: 30px;
    font-weight:600;
  }
  .container-form-sub .sub-title{
    color: var(--color-secondary);
    font-size: 16px;
    line-height: 1.3;
    padding: 15px 0px;
    font-style: italic;
  }
  .container-form-sub form .texto-privacidad{
    padding-bottom: 15px;
    color: var(--color-secondary);
    font-style: italic;
    font-size: 12px;
  }
  .container-form-sub form .texto-privacidad a{
    text-decoration: underline;
  }

  @media (max-width:1100px ) {
   .container-form-sub form{
    gap: 5px;
   }
   .container-img-sub{
    width: 45%;
   }
  }



/*FIN ESTILOS SUBSCRIPCION*/



/*ESTILOS DE UBICACION.HTML*/

  .container-ubicacion {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 40px;
    border: 1px solid var(--color-gray-light);
    padding: 20px;
    border-radius: 10px;
    position: relative;
  }

  .container-ubicacion iframe {
    width: 50%;
    height: 400px;
    border: 0;
    border-radius: 8px;
    flex-shrink: 0;
  }

  .container-ubi-tienda {
    width: 45%;

    display: flex;
    flex-direction: column;
    gap: 16px;
  }

  .img-logo-ubicacion {
    position: absolute;
    top: 10px;
    right: 20px;
    width: 120px; /* ajusta según tu logo */
    height: auto;
  }

  .tienda-header {
    display: flex;
    align-items: center;
    gap: 15px;
    margin-top: 10px; /* espacio para el logo absoluto */
  }

  .tienda-header i {

    font-size: 30px;
    color: var(--color-secondary);
  }

  .tienda-header h2 {
    font-size: 22px;
    font-weight: 500;
    color: var(--color-primary);
    margin: 0;
  }

  .tienda-header .special2{
    font-size: 26px;
  }

  .tienda-info {
    display: flex;
    flex-direction: column;
    gap: 6px;
    padding-left: 35px;
  }

  .tienda-info p {
    margin: 0;
    font-size: 15px;
    color: var(--color-secondary);
  }

  .tienda-info span {
    font-weight: 600;
    color: var(--color-secondary);
  }

  .btn-ubicacion {
    display: inline-block;
    background-color: var(--color-primary);
    color: var(--color-white);
    padding: 10px 40px;
    border-radius: 20px;
    text-decoration: none;
    font-size: 14px;
    font-weight: 600;
    width: fit-content;
    transition: background-color 0.2s;
    margin-top: 15px;
  }

  .btn-ubicacion:hover {
    background-color: var(--color-primary-hover);
  }
  .img-logo-ubicacion-response{
    display: none;
  }

  /**lo nuevo*/
  .container-flex-cart-ubi{
    display: flex;
    gap: 20px;

  }

  .container-title-cart-ubi{
    padding: 40px 0px;
    text-align: center;
    color: var(--color-primary);
    font-size: 20px;
    line-height: 1.2;
    font-style: italic;
  }
  .container-title-cart-ubi h2{
    font-size: 30px;
    font-weight:500;
  }
  .cart-ubicacion{
    width: 50%;
    border: 1px solid var(--color-gray-light);
    border-radius: 10px;
    padding: 20px;
  }
  .cart-ubicacion iframe{
    width: 100%;
    height: 250px;
  }





/*FIN ESTILOS DE UBICACION.HTML*/





/*LIBRO - RECLAMACIONES ESTILOS*/

.flex-container-title-reclamaciones    {
    display: flex;
    align-items: center;
    gap: 20px;
    margin-bottom: 40px;
    margin-top:40px;
}
.flex-container-title-reclamaciones h2{
    color: var(--color-primary);
    font-size: 30px;
    font-weight:600;
    line-height: 1.2;
}
.container-img-reclamaciones{
    width: 42px;
    height: 42px;
    border-radius: 50%;
    background-color: var(--color-secondary);
    color: var(--color-white);
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0px 2px;
}
.container-img-reclamaciones img{
    width: 95%;

}

.container-icono-info{
    display: flex;
    align-items: center;
    gap: 10px;
    margin: 30px 0px;
}
.container-icono-info h3{
    color: var(--color-secondary);
    font-size: 16px;
}
.container-icono{
    width: 25px;
    height: 25px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--color-primary);
    border-radius: 50%;
    color: var(--color-white);
}

.container-icono i{
    font-size:13px;
}



.container-form-inputs{
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 20px;
    flex-wrap: wrap;
}
.container-form-inputs .grupo-input{
    width: 30.2%;
}
.container-form-inputs .grupo-input input{
    width: 100%;
    border: 1px solid var(--color-gray-light);
    outline: none;
    padding: 8px 10px;
    border-radius: 5px;
    margin-top: 4px;
}
.container-form-inputs .grupo-textarea{
    width: 65%;
}
.container-form-inputs .grupo-input textarea{
    width: 100%;
    border: 1px solid var(--color-gray-light);
    outline: none;
    padding: 8px 10px;
    border-radius: 5px;
    margin-top: 4px;

  height: 90px;
  overflow: auto;  /* scroll automático */
  resize: none;
}
.grupo-input label{
    color: var( --color-secondary);
}
.grupo-input label span{
    color: var( --red);
}
.container-form-inputs .grupo-file{
    width: 100%;
}

.container-form-inputs .grupo-file input{
    border: none;
    padding: 10px 0px;
}
.btn-enviar-form{
    width: 400px;
    padding: 12px 10px;
    border: none;
    border-radius: 15px;
    background-color: var(--color-primary);
    color: var(--color-white);
    font-size: 16px;
    margin-top:25px ;
    cursor: pointer;
    transition: all ease .3s;
}
.btn-enviar-form:hover{
    background-color: var(--color-primary-hover);
}

.container-form-inputs .detalle-producto-position{
    position: relative;
}
.container-form-inputs .detalle-producto-position .position-absolute-detalle{
    position: absolute;
        top: -85px;
}
.container-form-inputs .detalle-producto-position .position-absolute-detalle h3{
    font-size: 15px;
}


@media (max-width:900px ) {
 .container-form-inputs{
    flex-direction: column;
 }
 .container-form-inputs .grupo-input{
    width: 100%;
    }

    .btn-enviar-form{
        width: 100%;
    }
    .flex-container-title-reclamaciones h2{

        font-size: 20px;

    }
    .padding-bottom-monto{
        margin-bottom: 65px;
}

/*ESTILOS DE SUBSCRIPCION*/
.container-subscripcion{
    flex-direction: column-reverse;
    gap: 30px;
   }
   .bg-pastel h2{font-size:20px;}
   .container-img-sub{
    width: 80%;
   }
   .container-form-sub{
    width: 100%;
   }
   .container-form-sub .sub-title{
    text-align: center;
   }
/*FIN DE ESTILOS DE SUBSCRIPCION*/

}


/*FIN LIBRO -  RECLAMACIONES*/


/*ESTILOS RESPONSE DE UBICACION.HTML*/
/* Responsive */
  @media (max-width: 768px) {
    .container-ubicacion {
      flex-direction: column;

    }
    .container-ubi-tienda{
      position: relative;
    }

    .container-ubicacion iframe,
    .container-ubi-tienda {
      width: 100%;
    }
    .img-logo-ubicacion{
      display: none;
    }
    .img-logo-ubicacion-response{
      display: block;
      position: absolute;

      right: 20px;
      width: 140px; /* ajustamos segun el logo*/
      height: auto;
    }


    .container-flex-cart-ubi{
      flex-direction: column;
      gap: 30px;
    }
    .cart-ubicacion{
      width: 100%;
    }


  }
/*FIN ESTILOS RESPONSE DE UBICACION.HTML*/









 @media (max-width:600px ) {
  .caja-login{
    padding: 30px 35px;
  }
  .caja-login .title-session{
    display: flex;
    flex-direction: column;
    gap: 8px;
    padding:10px 0px;
    margin-bottom:20px;
  }
  .grupo label{
   font-size:14px;
  }

  /*ESTILOS DE SUBCRIPCION*/
  .container-img-sub{
    width: 100%;
   }
   .container-form-sub .sub-title{
    font-size:14px;
   }
   /*fin estilos subscripcion*/
 }


 /*ESTILOS DE UBICACION*/
 @media (max-width: 500px) {
   .container-title-cart-ubi h2{
    font-size: 25px;
   }

   .container-ubi-tienda .tienda-header-logo-response{
    margin-top: 80px;
   }
   .img-logo-ubicacion-response{
    left: 50%;
    transform: translateX(-50%);
    margin-bottom: 20px;
   }
  }
 /*FIN DE ESTILOS DE UBICACION*/



 @media (max-width:400px ) {
  .caja-login{
    padding: 30px 15px;
  }
 }
